-------------------------------------------------------
-- 5bit point set
-- 2010/4/3
-------------------------------------------------------
library ieee;
use ieee.std_logic_1164.all;
use ieee.std_logic_unsigned.all;

entity point5bitset is
	port(
		in0			:in std_logic;
		in1			:in std_logic;
		in2			:in std_logic;
		in3			:in std_logic;
		in4			:in std_logic;
		pointout	:out std_logic
	);
end point5bitset;

architecture rtl of point5bitset is
	signal output_table	:std_logic_vector(4 downto 0);

begin

	output_table <= "11011";
	
	pointout <= (in0 and output_table(4)) or 
				(in1 and output_table(3)) or
				(in2 and output_table(2)) or
				(in3 and output_table(1)) or
				(in4 and output_table(0));
end rtl;