-------------------------------------------------------
-- 3bit point set
-- 2007/2/2
-------------------------------------------------------
library ieee;
use ieee.std_logic_1164.all;
use ieee.std_logic_unsigned.all;

entity point3bitset is
	port(
		in0			:in std_logic;
		in1			:in std_logic;
		in2			:in std_logic;
		pointout	:out std_logic
	);
end point3bitset;

architecture rtl of point3bitset is
	signal output_table	:std_logic_vector(2 downto 0);

begin

	output_table <= "101";
	
	pointout <= (in0 and output_table(2)) or 
				(in1 and output_table(1)) or
				(in2 and output_table(0));
end rtl;